> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cursor-paginated list of ActivityLog



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/activitylog/cursor
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/activitylog/cursor:
    get:
      tags:
        - ActivityLog
      summary: Cursor-paginated list of ActivityLog
      operationId: listActivityLogByCursor
      parameters:
        - description: 'Cursor: ID of the last item from the previous page'
          in: query
          name: after
          schema:
            type: string
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            default: 20
            maximum: 100
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/ActivityLog'
                    type: array
                  has_more:
                    type: boolean
                  next_cursor:
                    nullable: true
                    type: string
                type: object
          description: Paginated ActivityLog list
      security:
        - BearerAuth: []
components:
  schemas:
    ActivityLog:
      properties:
        actorName:
          type: string
        createdAt:
          format: date-time
          type: string
        eventId:
          type: string
        href:
          type: string
        id:
          type: string
        kind:
          type: string
        message:
          type: string
        orgId:
          type: string
      required:
        - id
        - orgId
        - kind
        - message
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````